//
// Level 0-1
//
var Game = Game || {};

if (Game.getPreviousArea() === 0 && Game.getPreviousLevel() == 0) {
//if (true) {

(function(){
	var player = Game.getLevelObject('player');
	var lines = [
		Game.getLocalizedString('dialogue010'),
		Game.getLocalizedString('dialogue011')
	];
	var line = 1;
	Game.onNextDialogue = function() {
		var playerSprite;
		if (line < lines.length) {
			// look at the moon
			if (line === 1) {
				playerSprite = Game.getLevelObjectSprite(player);
				if (!playerSprite || !playerSprite.isFlippedX())
					Game.animateLevelObject(player, 'turn', 0, 0, 0);
				cc.director.getScheduler().scheduleCallbackForTarget(player, function() {
					var sprite = Game.getLevelObjectSprite(player);
					if (sprite) {
						sprite.setFlippedX(true);
					}
					Game.animateLevelObject(player, 'aimE', 0, 0, 0);
				}, 0, 0, 0.2);
			}
			Game.dialogue(lines[line]);
			line++;
		} else {
			Game.lockInput(false);
		}
	};

	// lock input
	cc.director.getScheduler().scheduleCallbackForTarget(player, function() {
		Game.lockInput(true);
	}, 0, 0, 0.05);
	
	// begin dialogue
	cc.director.getScheduler().scheduleCallbackForTarget(player, function() {
		Game.dialogue(lines[0]);
	}, 0, 0, 2.0);
}());

}